Innehåll

# CStr Function

Konverterar ett numeriskt uttryck till en sträng.

## Syntax:

    CStr (Uttryck)

## Returvärde:

String

## Parametrar:

Uttryck: En giltig sträng eller ett numeriskt uttryck som ska konverteras.

## Uttryckstyper och konverteringar av returvärden

Boolean : | Sträng som evalueras till True eller False.
Date : | Sträng som innehåller tid och datum.
Null : | Runtime-fel.
Empty : | Sträng utan tecken.
Any : | Motsvarande tal som en sträng.

Nollor i slutet av flyttal inkluderas inte i strängen som returneras.

### Felkoder:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleCSTR
    Dim sVar As String
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
        MsgBox CSng(1234.5678)
        sVar = CStr(1234.5678)
        MsgBox sVar
    End Sub